Rent Roll Recurring
RentRollRecurring objects represent top-level rent roll recurring items data from AppFolio®. Skywalk API allows you to obtain the following unit attributes from AppFolio®.
The RentRollRecurring Object
Attributes
property.appfolioIdstring
AppFolio ID of the property this unit belongs to.
Example:
7
unit.appfolioIdstring
AppFolio ID of the unit of this rent roll item.
Example:
210
occupancy.appfolioIdstring
AppFolio ID of the occupancy of this rent roll item.
Example:
321
glAccountstring
GLAccount name of recurring rent roll item.
Example:
"Net Rent Income"
startDatestring
Date recurring rent roll item starts recurring.
Example:
"10/1/2023"
endDatestring
Date recurring rent roll item stops recurring. No end if null.
Example:
null
chargeAmountstring
Charged amount of rent roll item.
Example:
"2,095.00"
amountAsMonthlystring
Monthly charge amount of recurring rent roll item.
Example:
"2,095.00"
More Attributes
propertyGroupIdstring[]
portfolioIdinteger
property.namestring
property.streetstring
property.street2string
property.citystring
property.statestring
property.zipstring
unit.namestring
unit.sqftstring
occupancy.namestring
The RentRollRecurring Object
{
"propertyGroupId": [
"2",
"3"
],
"portfolioId": 9,
"property": {
"appfolioId": 7,
"name": "Warm Weather Apartments",
"street": "1234 Warm Weather Rd.",
"street2": "",
"city": "Los Angeles",
"state": "CA",
"zip": "90001"
},
"unit": {
"appfolioId": 210,
"name": "101",
"sqft": "950"
},
"occupancy": {
"appfolioId": 321,
"name": "Johnston, Johnny L."
},
"glAccount": "Net Rent Income",
"startDate": "10/1/2023",
"endDate": null,
"chargeAmount": "2,095.00",
"amountAsMonthly": "2,095.00"
}
Get Rent Roll Recurring Items
GET /v1/rent-roll-recurring
Follows: Authentication • Caching • Polling • List Response Format • Scheduled Job
The rent roll recurring items endpoint returns a rent roll report recurring items data from AppFolio® account. This endpoint should respond immediately with your most recently cached data.
Parameters
propertyIdselect
AppFolio ID of a Property to serve as a filter.
propertyGroupIdselect
AppFolio ID of a Property Group to serve as a filter.
ownerIdselect
AppFolio ID of an Owner to serve as a filter.
datedate
"As of" date for report given in MM/DD/YYYY (e.g. 01/31/2021)
glAccountIdsstring
GL Account IDs to fitler.
Default: ''.
Possible Values: Comma Separated list of gl account Ids
Returns
The standard List Response Format with a data property containing an array of RentRollRecurring objects.
GET /v1/rent-roll-recurring
curl -X GET 'https://api.skywalkapi.com/v1/rent-roll-recurring' \
-H "X-API-Key: PUT_YOUR_API_KEY_HERE"
Response
{
"meta": {
"status": "ok",
"path": "/v1/rent-roll-recurring",
"query": {},
"count": 1,
"lastUpdated": 1610992228
},
"links": {
"next": "/v1/rent-roll-recurring?cursor=abcdefg"
},
"data": [
{
"propertyGroupId": [
"2",
"3"
],
"portfolioId": 9,
"property": {
"appfolioId": 7,
"name": "Warm Weather Apartments",
"street": "1234 Warm Weather Rd.",
"street2": "",
"city": "Los Angeles",
"state": "CA",
"zip": "90001"
},
"unit": {
"appfolioId": 210,
"name": "101",
"sqft": "950"
},
"occupancy": {
"appfolioId": 321,
"name": "Johnston, Johnny L."
},
"glAccount": "Net Rent Income",
"startDate": "10/1/2023",
"endDate": null,
"chargeAmount": "2,095.00",
"amountAsMonthly": "2,095.00"
}
]
}